Status: Closed Start date: 2008-03-07

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

It would be nicer if (like trac), moves/renames would be shown as such in the Repository view. Currently it just treats them as an add

& corresponding delete, and the diff is displayed (redundantly) in full.

Related issues:

Related to Redmine - Feature #1443: Making the Repository module as nice as t... New 2008-06-13

History

#1 - 2008-06-13 16:30 - Ingmar S

- File trac_changeset_view.png added

Trac offers some really nice features in the repository code browser, which Redmine currently lacks.

For examples those features I think would be nice to have in Redmine and already present in the Trac code browser:

- Inline diff: Trac shows which exact characters of a line have been changed and hightlights them in a different color (darker green / darker red

compared to the color of the surrounding characters)

- Browsing through folders at a certain revision

- Cliking on a revision number brings you straight to the diff view, no second click on "View differences" necessary

- The ChangeSet view is very well structured (see attachment), with messages, propchanges and meta information on top and diff below

- The diff view of ChangeSets has got various options: Inline vs. Side-by-Side view, Ignoring whitespace changes etc.

- ChangeSets can be downloaded as "Unified Diff" patches or "Zip Archive"

Would it be possible to port some code from Trac to Redmine?

It would be awesome to see some or all of those features in Redmine, too!

#2 - 2008-06-13 16:36 - Ingmar S

I decided to create a new feature request for the things listed above, so please ignore my last comment to this bug so this bug focuses on the

renaming feature only and the other suggestions are listed in #1443.

#3 - 2016-09-13 15:03 - Benjamin Schunn

is this already working?

#4 - 2016-09-13 17:57 - Toshi MARUYAMA

- Status changed from New to Closed

It seems r1870 provided rename information on view.
